org.apache.ignite.internal.processors.cache.tree.mvcc.search

## Class MvccSearchRow

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.tree.SearchRow
  - - org.apache.ignite.internal.processors.cache.tree.mvcc.search.MvccSearchRow

All Implemented Interfaces:
  MvccVersionAware, CacheSearchRow

Direct Known Subclasses:
  MvccLinkAwareSearchRow, MvccSnapshotSearchRow

    public class MvccSearchRow
    extends SearchRow

MVCC search row which uses specific MVCC version (coordinator + counter) to filter rows.

### Field Summary

Fields
`protected long` `crdVer` Coordinator version.
`protected int` `opCntr` Operation counter.

### Constructor Summary

Constructors
Constructor and Description
`MvccSearchRow(int cacheId, KeyCacheObject key, long crdVer, long cntr, int opCntr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `mvccCoordinatorVersion()`
`long` `mvccCounter()`
`int` `mvccOperationCounter()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.tree.SearchRow

`cacheId, hash, key, link, mvccTxState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccVersionAware

`mvccVersion, mvccVersion, mvccVersion, mvccVersion`

### Field Detail

#### crdVer

    protected long crdVer

Coordinator version.

#### opCntr

    protected int opCntr

Operation counter.

### Constructor Detail

#### MvccSearchRow

    public MvccSearchRow(int cacheId,
                         KeyCacheObject key,
                         long crdVer,
                         long cntr,
                         int opCntr)

Parameters:
  `cacheId` - Cache ID.
  `key` - Key.
  `crdVer` - Coordinator version.
  `cntr` - Counter.

### Method Detail

#### mvccCoordinatorVersion

    public long mvccCoordinatorVersion()

Specified by:
  `mvccCoordinatorVersion` in interface `MvccVersionAware`
Overrides:
  `mvccCoordinatorVersion` in class `SearchRow`
Returns:
  Mvcc coordinator version.

#### mvccCounter

    public long mvccCounter()

Specified by:
  `mvccCounter` in interface `MvccVersionAware`
Overrides:
  `mvccCounter` in class `SearchRow`
Returns:
  Mvcc counter.

#### mvccOperationCounter

    public int mvccOperationCounter()

Specified by:
  `mvccOperationCounter` in interface `MvccVersionAware`
Overrides:
  `mvccOperationCounter` in class `SearchRow`
Returns:
  Mvcc operation counter.

#### toString

    public String toString()

Overrides:
  `toString` in class `SearchRow`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021